Bug 250105 - graphics/libexif: Update to 0.6.22
Summary: graphics/libexif: Update to 0.6.22
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: security
Depends on:
Blocks:
 
Reported: 2020-10-04 18:35 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-10-07 21:47 UTC (History)
0 users

See Also:
dbaio: maintainer-feedback+
dbaio: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-10-04 18:35:41 UTC
Patch: https://people.FreeBSD.org/~sunpoet/patch/graphics-libexif.txt

Update to 0.6.22

- Update MASTER_SITES
- Use USES=localbase
- Strip shared library
- Convert to options target helper
- Update WWW

Changes:        https://github.com/libexif/libexif/releases
Comment 1 Danilo G. Baio freebsd_committer 2020-10-04 23:02:07 UTC
Thanks for your work. You can take maintainership if you want.
It would be nice having a vuxml entry for the new CVEs.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-10-05 17:26:19 UTC
I've added the vuxml entry in r551528. Thanks!
Comment 3 commit-hook freebsd_committer 2020-10-05 17:27:05 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Oct  5 17:25:29 UTC 2020
New revision: 551526
URL: https://svnweb.freebsd.org/changeset/ports/551526

Log:
  Update to 0.6.22

  - Update MASTER_SITES
  - Use USES=localbase
  - Strip shared library
  - Convert to options target helper
  - Update WWW
  - Take maintainership

  Changes:	https://github.com/libexif/libexif/releases
  PR:		250105
  Submitted by:	sunpoet (myself)
  Approved by:	dbaio (maintainer)
  Security:	cff0b2e2-0716-11eb-9e5d-08002728f74c
  MFH:		2020Q4

Changes:
  head/graphics/libexif/Makefile
  head/graphics/libexif/distinfo
  head/graphics/libexif/files/
  head/graphics/libexif/pkg-descr
  head/graphics/libexif/pkg-plist
Comment 4 commit-hook freebsd_committer 2020-10-07 08:09:44 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Oct  7 08:09:00 UTC 2020
New revision: 551621
URL: https://svnweb.freebsd.org/changeset/ports/551621

Log:
  MFH: r551526

  Update to 0.6.22

  - Update MASTER_SITES
  - Use USES=localbase
  - Strip shared library
  - Convert to options target helper
  - Update WWW
  - Take maintainership

  Changes:	https://github.com/libexif/libexif/releases
  PR:		250105
  Submitted by:	sunpoet (myself)
  Approved by:	dbaio (maintainer)
  Security:	cff0b2e2-0716-11eb-9e5d-08002728f74c

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/graphics/libexif/Makefile
  branches/2020Q4/graphics/libexif/distinfo
  branches/2020Q4/graphics/libexif/files/
  branches/2020Q4/graphics/libexif/pkg-descr
  branches/2020Q4/graphics/libexif/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-10-07 21:44:59 UTC
A commit references this bug:

Author: dbaio
Date: Wed Oct  7 21:44:57 UTC 2020
New revision: 551668
URL: https://svnweb.freebsd.org/changeset/ports/551668

Log:
  graphics/libexif: Update MAINTAINER

  Pass MAINTAINER'ship to sunpoet, missed in ports r551526.

  PR:		250105

Changes:
  head/graphics/libexif/Makefile
Comment 6 commit-hook freebsd_committer 2020-10-07 21:47:01 UTC
A commit references this bug:

Author: dbaio
Date: Wed Oct  7 21:46:28 UTC 2020
New revision: 551669
URL: https://svnweb.freebsd.org/changeset/ports/551669

Log:
  MFH: r551668

  graphics/libexif: Update MAINTAINER

  Pass MAINTAINER'ship to sunpoet, missed in ports r551526.

  PR:		250105

  Approved by:	ports-secteam (blanket: consistent port/package metadata)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/graphics/libexif/Makefile